%define name php-pear-XML_Util
%define rname XML_Util
%define version 1.1.1
%define rversion 1.1.1
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: XML utility class
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/XML_Util
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pcre
Requires: php >= 4.2.0
%description
Selection of methods that are often needed when working with XML documents.
Functionality includes creating of attribute lists from arrays, creation of
tags, validation of XML names and more.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/XML//examples
cp examples/example.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/example.php
cp examples/example2.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/example2.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/XML
cp Util.php $RPM_BUILD_ROOT%{pear_phpdir}/XML/Util.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_docdir}/XML//examples
%dir %{pear_phpdir}/XML
%{pear_docdir}/XML//examples/example.php
%{pear_docdir}/XML//examples/example2.php
%{pear_phpdir}/XML/Util.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.1-1mdk

- First mdk package

